package com.game.business.service;

import java.util.List;
import com.game.business.domain.AppUsersAuth;
import com.baomidou.mybatisplus.extension.service.IService;
import com.game.business.vo.AppAnchorStarVo;

/**
 * 主播认证Service接口
 *
 * @author game
 * @date 2024-08-11
 */
public interface IAppUsersAuthService extends IService<AppUsersAuth> {
    /**
     * 查询主播认证
     *
     * @param uid 主播认证主键
     * @return 主播认证
     */
    public AppUsersAuth selectAppUsersAuthByUid(Long uid);

    /**
     * 查询主播认证列表
     *
     * @param appUsersAuth 主播认证
     * @return 主播认证集合
     */
    public List<AppUsersAuth> selectAppUsersAuthList(AppUsersAuth appUsersAuth);

    /**
     * 新增主播认证
     *
     * @param appUsersAuth 主播认证
     * @return 结果
     */
    public int insertAppUsersAuth(AppUsersAuth appUsersAuth);

    /**
     * 修改主播认证
     *
     * @param appUsersAuth 主播认证
     * @return 结果
     */
    public int updateAppUsersAuth(AppUsersAuth appUsersAuth);

    /**
     * 批量删除主播认证
     *
     * @param uids 需要删除的主播认证主键集合
     * @return 结果
     */
    public int deleteAppUsersAuthByUids(Long[] uids);

    /**
     * 删除主播认证信息
     *
     * @param uid 主播认证主键
     * @return 结果
     */
    public int deleteAppUsersAuthByUid(Long uid);

    /**
     * 查询主播星级
     * */
    List<AppAnchorStarVo> selectAnchorStar();
}